<div class="registerBody">
  <div class="registerForm">
    <form novalidate (ngSubmit)="register(userGroup)" [formGroup]="userGroup" autocomplete="off">
      <md-card>
        <div class="mdl-card__title mdl-card--expand">
          <img src="../../../assets/img/Yum-logo-small.png">
        </div>
        <h4 class="noMarginsPaddings" align="center">Register</h4>

        <md-card-content>

          <div>
            <!-- First name -->
            <md-input-container class="formWidth">
              <input type="text" mdInput placeholder="First name" formControlName="firstName" name="firstName" />
              <md-error class="error" *ngIf="userGroup.get('firstName').touched && userGroup.get('firstName').hasError('required')">
                First Name is required
              </md-error>
              <md-error class="error" *ngIf="userGroup.get('firstName').touched && userGroup.get('firstName').hasError('minlength')">
                Minimum of 2 characters
              </md-error>
              <md-error class="error" *ngIf="userGroup.get('firstName').touched && userGroup.get('firstName').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>

          <div>
            <!-- Last name -->
            <md-input-container class="formWidth">
              <input type="text" mdInput placeholder="Last name" formControlName="lastName" name="lastName" />
              <md-error class="error" *ngIf="userGroup.get('lastName').touched && userGroup.get('lastName').hasError('required')">
                Last Name is required
              </md-error>
              <md-error class="error" *ngIf="userGroup.get('lastName').touched && userGroup.get('lastName').hasError('minlength')">
                Minimum of 2 characters
              </md-error>
              <md-error class="error" *ngIf="userGroup.get('lastName').touched && userGroup.get('lastName').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>

          <div>
            <!-- Email -->
            <md-input-container class="formWidth">
              <input type="text" mdInput placeholder="Email" formControlName="email" name="email" />
              <md-error class="error" *ngIf="userGroup.get('email').touched && userGroup.get('email').hasError('email') && userGroup.get('email').touched && userGroup.get('email').hasError('required')">
                Invalid email
              </md-error>
              <md-error class="error" *ngIf="userGroup.get('email').touched && userGroup.get('email').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>

          <div>
            <!-- Password -->
            <md-input-container class="formWidth">
              <input type="password" mdInput placeholder="Password" formControlName="password" />
              <md-error *ngIf="userGroup.get('password').touched && userGroup.get('password').hasError('required')">
                Password is required
              </md-error>
              <md-error *ngIf="userGroup.get('password').touched && userGroup.get('password').hasError('minlength')">
                Minimum of 6 characters
              </md-error>
              <md-error *ngIf="userGroup.get('password').touched && userGroup.get('password').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>
          </div>

          <div>
            <!-- Repeat Password -->
            <md-input-container class="formWidth">
              <input type="password" mdInput placeholder="Confirm Password" formControlName="rePassword" />
              <md-error *ngIf="userGroup.get('rePassword').touched && userGroup.get('rePassword').hasError('required')">
                Please repeat password
              </md-error>
              <md-error *ngIf="userGroup.get('rePassword').touched && userGroup.hasError('nomatch')">
                Passwords must match
              </md-error>
              <md-error *ngIf="userGroup.get('rePassword').touched && userGroup.get('rePassword').hasError('maxlength')">
                Maximum of 20 characters
              </md-error>
            </md-input-container>

            <div class="tos-style">
              By clicking Register, I agree to the
              <a (click)="tos.getTerms(0)"><br>Terms of Service</a> and <a (click)="tos.getTerms(1)">Privacy Policy</a>.
            </div>
          </div>

          <md-card-actions>
            <div fxLayout="row" fxLayoutAlign="center center">
              <div fxFlex="25">
              </div>

              <button fxFlex="50" class="thisButton" md-raised-button color="accent" [disabled]="userGroup.invalid || createUserDisable">Register</button>
              <div fxLayoutAlign="center center" fxFlex="25">
                <md-spinner style="float:right" *ngIf="createUserDisable"></md-spinner>
              </div>
            </div>
          </md-card-actions>

          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
            <a class="skipUnderline " routerLink="/login" routerLinkActive="active">Already have an account?</a>
          </div>

          <div class="pullMeMiddle mdl-card__actions mdl-card--border">
          </div>

        </md-card-content>

      </md-card>
    </form>
  </div>
  <div class="quote">
    <div>
      <div>
        <p>
          Part of the secret of a success in life is to eat what you like and let the food fight it out inside.
        </p>
        <p> Mark Twain</p>
        <p><a class="quote-link" href="https://www.brainyquote.com/quotes/quotes/m/marktwain127630.html" target="_blank">www.brainyquote.com</a></p>
      </div>
    </div>
  </div>
</div>
